package cn.ibizlab.assetmanagement.assetapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.assetmanagement.util.domain.DTOBase;
import cn.ibizlab.assetmanagement.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[EAMDocumentDTO]
 */
@Data
public class EAMDocumentDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [EAMDOCUMENTNAME]
     *
     */
    @JSONField(name = "eamdocumentname")
    @JsonProperty("eamdocumentname")
    private String eamdocumentname;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [EAMDOCUMENTID]
     *
     */
    @JSONField(name = "eamdocumentid")
    @JsonProperty("eamdocumentid")
    private String eamdocumentid;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [EAMASSETTYPEID]
     *
     */
    @JSONField(name = "eamassettypeid")
    @JsonProperty("eamassettypeid")
    private String eamassettypeid;

    /**
     * 属性 [EAMASSETTYPENAME]
     *
     */
    @JSONField(name = "eamassettypename")
    @JsonProperty("eamassettypename")
    private String eamassettypename;

    /**
     * 属性 [DOCUMENTNUMBER]
     *
     */
    @JSONField(name = "documentnumber")
    @JsonProperty("documentnumber")
    private String documentnumber;

    /**
     * 属性 [EAMDOCUMENTTYPEID]
     *
     */
    @JSONField(name = "eamdocumenttypeid")
    @JsonProperty("eamdocumenttypeid")
    private String eamdocumenttypeid;

    /**
     * 属性 [EAMDOCUMENTTYPENAME]
     *
     */
    @JSONField(name = "eamdocumenttypename")
    @JsonProperty("eamdocumenttypename")
    private String eamdocumenttypename;

    /**
     * 属性 [CONTENT]
     *
     */
    @JSONField(name = "content")
    @JsonProperty("content")
    private String content;

    /**
     * 属性 [DOCFILE]
     *
     */
    @JSONField(name = "docfile")
    @JsonProperty("docfile")
    private String docfile;


    /**
     * 设置 [EAMDOCUMENTNAME]
     */
    public void setEamdocumentname(String  eamdocumentname){
        this.eamdocumentname = eamdocumentname ;
        this.modify("eamdocumentname",eamdocumentname);
    }

    /**
     * 设置 [EAMASSETTYPEID]
     */
    public void setEamassettypeid(String  eamassettypeid){
        this.eamassettypeid = eamassettypeid ;
        this.modify("eamassettypeid",eamassettypeid);
    }

    /**
     * 设置 [DOCUMENTNUMBER]
     */
    public void setDocumentnumber(String  documentnumber){
        this.documentnumber = documentnumber ;
        this.modify("documentnumber",documentnumber);
    }

    /**
     * 设置 [EAMDOCUMENTTYPEID]
     */
    public void setEamdocumenttypeid(String  eamdocumenttypeid){
        this.eamdocumenttypeid = eamdocumenttypeid ;
        this.modify("eamdocumenttypeid",eamdocumenttypeid);
    }

    /**
     * 设置 [CONTENT]
     */
    public void setContent(String  content){
        this.content = content ;
        this.modify("content",content);
    }

    /**
     * 设置 [DOCFILE]
     */
    public void setDocfile(String  docfile){
        this.docfile = docfile ;
        this.modify("docfile",docfile);
    }


}

